﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MotorBoat
{
    public class EntityBoat
    {
        public int Speed { get; private set; }
        public float Weight { get; private set; }
        public Color BodyColor { get; set; }
        public float Step => Speed * 100 / Weight;
        public EntityBoat(int speed, float weight, Color bodyColor)
        {
            Random rnd = new Random();
            Speed = speed <= 0 ? rnd.Next(50, 150) : speed;
            Weight = weight <= 0 ? rnd.Next(40, 70) : weight;
            BodyColor = bodyColor;
        }
        public void setColor(Color color)
        {
            BodyColor = color;
        }
    }
}
